-- phpMyAdmin SQL Dump
-- version 4.3.11
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: 24.07.2016 klo 00:55
-- Palvelimen versio: 5.6.24
-- PHP Version: 5.6.8

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `xaseco2`
--

-- --------------------------------------------------------

--
-- Rakenne taululle `maps`
--

CREATE TABLE IF NOT EXISTS `maps` (
  `Id` mediumint(9) NOT NULL,
  `Uid` varchar(27) NOT NULL DEFAULT '',
  `Name` varchar(100) NOT NULL DEFAULT '',
  `Author` varchar(30) NOT NULL DEFAULT '',
  `Environment` varchar(10) NOT NULL DEFAULT ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Rakenne taululle `players`
--

CREATE TABLE IF NOT EXISTS `players` (
  `Id` mediumint(9) NOT NULL,
  `Login` varchar(50) NOT NULL DEFAULT '',
  `Game` varchar(3) NOT NULL DEFAULT '',
  `NickName` varchar(100) NOT NULL DEFAULT '',
  `Continent` tinyint(3) NOT NULL DEFAULT '0',
  `Nation` varchar(3) NOT NULL DEFAULT '',
  `UpdatedAt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `Wins` mediumint(9) NOT NULL DEFAULT '0',
  `TimePlayed` int(10) unsigned NOT NULL DEFAULT '0',
  `TeamName` char(60) NOT NULL DEFAULT ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Rakenne taululle `players_extra`
--

CREATE TABLE IF NOT EXISTS `players_extra` (
  `PlayerId` mediumint(9) NOT NULL DEFAULT '0',
  `Cps` smallint(3) NOT NULL DEFAULT '-1',
  `DediCps` smallint(3) NOT NULL DEFAULT '-1',
  `Donations` mediumint(9) NOT NULL DEFAULT '0',
  `Style` varchar(20) NOT NULL DEFAULT '',
  `Panels` varchar(255) NOT NULL DEFAULT '',
  `PanelBG` varchar(30) NOT NULL DEFAULT ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Rakenne taululle `records`
--

CREATE TABLE IF NOT EXISTS `records` (
  `Id` int(11) NOT NULL,
  `MapId` mediumint(9) NOT NULL DEFAULT '0',
  `PlayerId` mediumint(9) NOT NULL DEFAULT '0',
  `Score` int(11) NOT NULL DEFAULT '0',
  `Date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `Checkpoints` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Rakenne taululle `rs_karma`
--

CREATE TABLE IF NOT EXISTS `rs_karma` (
  `Id` int(11) NOT NULL,
  `MapId` mediumint(9) NOT NULL DEFAULT '0',
  `PlayerId` mediumint(9) NOT NULL DEFAULT '0',
  `Score` tinyint(3) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Rakenne taululle `rs_rank`
--

CREATE TABLE IF NOT EXISTS `rs_rank` (
  `PlayerId` mediumint(9) NOT NULL DEFAULT '0',
  `Avg` float NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Rakenne taululle `rs_times`
--

CREATE TABLE IF NOT EXISTS `rs_times` (
  `Id` int(11) NOT NULL,
  `MapId` mediumint(9) NOT NULL DEFAULT '0',
  `PlayerId` mediumint(9) NOT NULL DEFAULT '0',
  `Score` int(11) NOT NULL DEFAULT '0',
  `Date` int(10) unsigned NOT NULL DEFAULT '0',
  `Checkpoints` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `maps`
--
ALTER TABLE `maps`
  ADD PRIMARY KEY (`Id`), ADD UNIQUE KEY `Uid` (`Uid`);

--
-- Indexes for table `players`
--
ALTER TABLE `players`
  ADD PRIMARY KEY (`Id`), ADD UNIQUE KEY `Login` (`Login`), ADD KEY `Game` (`Game`);

--
-- Indexes for table `players_extra`
--
ALTER TABLE `players_extra`
  ADD PRIMARY KEY (`PlayerId`), ADD KEY `Donations` (`Donations`);

--
-- Indexes for table `records`
--
ALTER TABLE `records`
  ADD PRIMARY KEY (`Id`), ADD UNIQUE KEY `PlayerId` (`PlayerId`,`MapId`), ADD KEY `MapId` (`MapId`);

--
-- Indexes for table `rs_karma`
--
ALTER TABLE `rs_karma`
  ADD PRIMARY KEY (`Id`), ADD UNIQUE KEY `PlayerId` (`PlayerId`,`MapId`), ADD KEY `MapId` (`MapId`);

--
-- Indexes for table `rs_rank`
--
ALTER TABLE `rs_rank`
  ADD KEY `PlayerId` (`PlayerId`);

--
-- Indexes for table `rs_times`
--
ALTER TABLE `rs_times`
  ADD PRIMARY KEY (`Id`), ADD KEY `PlayerId` (`PlayerId`,`MapId`), ADD KEY `MapId` (`MapId`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `maps`
--
ALTER TABLE `maps`
  MODIFY `Id` mediumint(9) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `players`
--
ALTER TABLE `players`
  MODIFY `Id` mediumint(9) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `records`
--
ALTER TABLE `records`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `rs_karma`
--
ALTER TABLE `rs_karma`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `rs_times`
--
ALTER TABLE `rs_times`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
